# `BB.Error.Hardware.DeviceError`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/hardware/device_error.ex#L5)

Error reported by the hardware device itself.

Raised when a device reports an error condition through its protocol.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Hardware.DeviceError{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  description: term(),
  device: term(),
  error_code: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Hardware.DeviceError` without raising it.

## Keys

- :device
- :error_code
- :description

---

*Consult [api-reference.md](api-reference.md) for complete listing*
